Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.gen
Class ClientEntityArtifact

    java.lang.Object
      org.apache.cayenne.gen.EntityArtifact
          org.apache.cayenne.gen.ClientEntityArtifact

All Implemented Interfaces:
  Artifact

    public class ClientEntityArtifact

extends EntityArtifact

Client code generation artifact based on ObjEntity.

Since:
  3.0
Author:
  Andrus Adamchik

Field Summary

Fields inherited from class org.apache.cayenne.gen.EntityArtifact
`entity, ENTITY_UTILS_KEY, OBJ_ENTITY_KEY`

Fields inherited from interface org.apache.cayenne.gen.Artifact
`BASE_CLASS_KEY, BASE_PACKAGE_KEY, IMPORT_UTILS_KEY, OBJECT_KEY, STRING_UTILS_KEY, SUB_CLASS_KEY, SUB_PACKAGE_KEY, SUPER_CLASS_KEY, SUPER_PACKAGE_KEY`

Constructor Summary
`ClientEntityArtifact(ObjEntity entity)`

Method Summary
`String` | `getQualifiedBaseClassName()`
`String` | `getQualifiedClassName()`

Methods inherited from class org.apache.cayenne.gen.EntityArtifact
`getObject, getSingleClassType, getSubclassType, getSuperClassType, getTemplateTypes, postInitContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientEntityArtifact

    public ClientEntityArtifact(ObjEntity entity)

Method Detail

### getQualifiedBaseClassName

    public String getQualifiedBaseClassName()

  Specified by:
    `getQualifiedBaseClassName` in interface `Artifact`
  Overrides:
    `getQualifiedBaseClassName` in class `EntityArtifact`

### getQualifiedClassName

    public String getQualifiedClassName()

  Specified by:
    `getQualifiedClassName` in interface `Artifact`
  Overrides:
    `getQualifiedClassName` in class `EntityArtifact`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.